Get a catalog filing
curl --request GET \
--url https://canary.effectiveai.app/api/v2/filings/{filingId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://canary.effectiveai.app/api/v2/filings/{filingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://canary.effectiveai.app/api/v2/filings/{filingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"sourceReference": "<string>",
"state": "<string>",
"companyName": "<string>",
"carrierIds": [
"<string>"
],
"groupId": "<string>",
"productName": "<string>",
"typeOfInsurance": "<string>",
"subTypeOfInsurance": "<string>",
"toiCode": "<string>",
"subToiCode": "<string>",
"filingType": "<string>",
"sourceStatus": "<string>",
"submissionDate": "2023-12-25",
"dispositionDate": "2023-12-25",
"description": "<string>",
"businessType": "<string>",
"status": {
"stateStatus": "<string>",
"dispositionStatus": "<string>",
"normalizedOutcome": "<string>",
"regimeExpected": "<string>",
"regimeObserved": "<string>",
"outcomeFavorable": "<string>",
"isClosed": true,
"maybeWithdrawal": true
},
"classification": {
"filingTypeNormalized": "<string>",
"filingTypeVariant": "<string>"
},
"stateStatusChangedDate": "2023-12-25",
"pageCount": 1,
"availability": {
"storedFiles": "present",
"sourceCompleteness": "unknown"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>"
}Filings
Get a catalog filing
GET
/
filings
/
{filingId}
Get a catalog filing
Authorizations
Effective API key. Send Authorization: Bearer sk-eai-...
Path Parameters
Response
Filing metadata and caller-visible storage availability.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes